#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true
  CDev\GoSocial\Transformer\XLite\Model\Category\Logic\Entity\Storefront\CategoryDecorator:
    class: CDev\GoSocial\Transformer\XLite\Model\Category\Logic\Entity\Storefront\CategoryDecorator
    decorates: XCart\Transformer\XLite\Model\Category\Logic\Entity\Storefront\Category
    arguments:
      $inner: '@.inner'

dto_generator:
  entities:
    api:
      XCart\API\Entity\Storefront\Category\Detailed:
        fields:
          ogMetaTags:
            type: string
            nullable: true

    logic:
      XCart\Logic\Entity\Storefront\Category:
        fields:
          ogMetaTags:
            type: string
            nullable: true
